Skip to main content
POST
/
v1
/
workflows
/
generate
Generate Workflow
curl --request POST \
  --url https://api.example.com/v1/workflows/generate \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>",
  "workflow_type": "<string>",
  "indicator_types": []
}
'
import requests

url = "https://api.example.com/v1/workflows/generate"

payload = {
"description": "<string>",
"workflow_type": "<string>",
"indicator_types": []
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>', workflow_type: '<string>', indicator_types: []})
};

fetch('https://api.example.com/v1/workflows/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "generated_code": "<string>",
    "suggested_name": "<string>",
    "suggested_documentation": "<string>",
    "warnings": []
  },
  "meta": {}
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Body

application/json

Request body for POST /v1/workflows/generate.

description
string
required
workflow_type
string | null
indicator_types
string[]

Response

Successful Response

data
WorkflowGenerateResponse · object
required

Response for POST /v1/workflows/generate.

meta
Meta · object